### Method

# RB RhythmDBQueryModel tree_path_to_entry

#### Declaration [src]

    RhythmDBEntry*
    rhythmdb_query_model_tree_path_to_entry (
      RhythmDBQueryModel* model,
      GtkTreePath* path
    )

#### Description [src]

Locates the `RhythmDBEntry` identified by the specified path in the model. The caller owns a reference to the returned entry.

#### Parameters

`path`

  Type: `GtkTreePath`

  A `GtkTreePath`.

  The data is owned by the caller of the method.

#### Return value

Type: `RhythmDBEntry`

The `RhythmDBEntry`, if any.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.